import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';

import { Wohnung } from '../wohnung';
import { WohnungService } from '../wohnung.service';
import { ObjektService } from '../objekt.service';
import { MessageService } from '../message.service';
import { Objekt } from '../objekt';


@Component({
  selector: 'app-wohnungen',
  templateUrl: './wohnungen.component.html',
  styleUrls: ['./wohnungen.component.css']
})
export class WohnungenComponent implements OnInit {

  wohnungen: Wohnung[];
  objekt: Objekt;

  constructor(
    private wohnungService: WohnungService, 
    private objektService: ObjektService,
    private messageService: MessageService,
    private route: ActivatedRoute,
    private location: Location ) { 

  }

  async getWohnungen() {
    const objektId = +this.route.snapshot.paramMap.get('objektId')
    try {
      this.objekt = await this.objektService.getObjekt(objektId)
      this.wohnungen = await this.wohnungService.getWohnungenByObjekt(objektId);
    } catch (err) {
      this.messageService.add(JSON.stringify(err, undefined, 4))
    }
  }

  ngOnInit(): void {
    this.getWohnungen();
  }
}
